apt-get upgrade und konflikte zwischen einzelnen kde paketen

Alles rund um die Installation Eures Linuxsystems, sowie die Updatefunktionen des Systems und das Paketmanagement

Moderator: Moderatoren

Antworten
Benutzeravatar
thefatrix
Newbie
Newbie
Beiträge: 3
Registriert: 1. Nov 2004, 21:06

apt-get upgrade und konflikte zwischen einzelnen kde paketen

Beitrag von thefatrix » 25. Feb 2005, 10:26

Hallo Allerseits,

habe hier auf meinem Rechner SuSe 9.2 DownloadEdition installiert und wollte es gerade per apt-get upgrade updaten. Leider klappt es nicht, da anscheinend irgendwelche Konflikte bestehen. Apt gibt folgende Fehlermeldung aus:

Code: Alles auswählen

Nach dem Auspacken werden 35,7MB zusätzlicher Plattenplatz benutzt werden.
Wollen Sie fortsetzen? [J/n] j
Committing changes...
Preparing...                ########################################### [100%]
        file /opt/kde3/bin/kcmshell conflicts between attempted installs of kdelibs3-3.3.92_2005022310-1 and kdebase3-3.3.2-7
        file /opt/kde3/lib/kde3/kcmshell.la conflicts between attempted installs of kdelibs3-3.3.92_2005022310-1 and kdebase3-3.3.2-7
        file /opt/kde3/lib/kde3/kcmshell.so conflicts between attempted installs of kdelibs3-3.3.92_2005022310-1 and kdebase3-3.3.2-7
        file /opt/kde3/lib/libkdeinit_kcmshell.la conflicts between attempted installs of kdelibs3-3.3.92_2005022310-1 andkdebase3-3.3.2-7
        file /opt/kde3/lib/libkdeinit_kcmshell.so conflicts between attempted installs of kdelibs3-3.3.92_2005022310-1 andkdebase3-3.3.2-7
        file /opt/kde3/share/mimelnk/application/x-webarchive.desktop conflicts between attempted installs of kdeaddons3-konqueror-3.3.2-3 and kdelibs3-3.3.92_2005022310-1
        file /opt/kde3/lib/kde3/kstyle_plastik_config.la conflicts between attempted installs of kdeartwork3-3.3.2-4 and kdelibs3-3.3.92_2005022310-1
        file /opt/kde3/lib/kde3/kstyle_plastik_config.so conflicts between attempted installs of kdeartwork3-3.3.2-4 and kdelibs3-3.3.92_2005022310-1
        file /opt/kde3/lib/kde3/plugins/styles/plastik.la conflicts between attempted installs of kdeartwork3-3.3.2-4 and kdelibs3-3.3.92_2005022310-1
        file /opt/kde3/lib/kde3/plugins/styles/plastik.so conflicts between attempted installs of kdeartwork3-3.3.2-4 and kdelibs3-3.3.92_2005022310-1
        file /opt/kde3/share/apps/kstyle/themes/plastik.themerc conflicts between attempted installs of kdeartwork3-3.3.2-4 and kdelibs3-3.3.92_2005022310-1
E: Error while running transaction
Habe schon probiert einige mit der -f Option zu installieren, es kam jedoch jedesmal ein anderer Konflikt dazu ;)

Meine souces.list sieht wie folgt aus:

Code: Alles auswählen

#
# Repository created by: aptate (version 0.69.2)
# At: Wed Feb 23 14:42:08 MET 2005
# More info about aptate at: http://apt4rpm.sourceforge.net
#
rpm      ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.2-i386 suse-people rpmkeys base update kde misc xorg mozilla samba3 packman packman-i686 wine suse-projects kde3-stable security
# rpm-src  ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.2-i386 suse-people rpmkeys base update kde misc xorg mozilla samba3 packman packman-i686 kernel-of-the-day kraxel wine suse-projects kde3-stable kde-unstable security-prpm security
Liegt eventuell da der Fehler? Bin mit meinem Latain am Ende, habe auch schon mehrfach das Forum durchsucht und leider nichts gefunden. Für eure Hilfe wäre ich sehr dankbar.

lg

fTx

Werbung:
}-Tux-{
Moderator
Moderator
Beiträge: 696
Registriert: 12. Dez 2004, 19:54
Kontaktdaten:

Beitrag von }-Tux-{ » 25. Feb 2005, 13:49

Hi

les dir mal diesen [ Tip ] durch:
http://www.linux-club.de/viewtopic.php?t=16315

apt --force... wird dein freund sein :wink:

mfg }-Tux-{

kuede
Member
Member
Beiträge: 87
Registriert: 28. Jul 2004, 21:42

Beitrag von kuede » 25. Feb 2005, 16:01

Du bist dir aber schon bewusst, dass du da von suse-people die KDE 3.4 beta2 installierst?

Ich habe dies auch eine Zeit lang gemacht, aber die auftauchenden Probleme waren mir dann irgendwann zu viel (nicht nur mit APT)

Benutzeravatar
Kurt M
Hacker
Hacker
Beiträge: 407
Registriert: 24. Sep 2004, 12:39
Wohnort: Bayrischer Wald
Kontaktdaten:

Beitrag von Kurt M » 2. Mär 2005, 17:36

siehe auch hier:
http://www.linux-club.de/viewtopic.php?t=16317

da kannst Du sehen, welche Repositories nur mit Risiko benutzt werden können.

Antworten

Wer ist online?

Mitglieder in diesem Forum: 0 Mitglieder und 1 Gast